# Actions Processor

An action is an instruction that tells the BetterForms framework to perform some operation. The actions processor allows you to create interactions with the user. The actions object can be an array of actions. Actions are executed sequentially. Some actions block the executing of the next action until they are complete.

The actions processor is basically a scripting language processor. Nearly all aspects of the BF app can be controlled with actions.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.klai.studio/v1/reference/actions-processor.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
